import { Customer, Account, Transaction } from "../types";
import { Chargeback, ChargebackListParams, CreateChargebackRequest } from "../types/chargeback";
import { Include, UnitConfig, UnitResponse } from "../types/common";
import { BaseResource } from "./baseResource";
type ChargebackIncluded = Customer[] | Account[] | Transaction[];
export declare class Chargebacks extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(request: CreateChargebackRequest): Promise<UnitResponse<Chargeback>>;
    /**
     * Include is Optional. Related resource available to include: customer, account, transaction. See [Getting Related Resources](https://developers.unit.co/#intro-getting-related-resources)
     * @param chargebackId
     * @param include
     */
    get(chargebackId: string, include?: string): Promise<UnitResponse<Chargeback> & Include<ChargebackIncluded>>;
    list(params?: ChargebackListParams): Promise<UnitResponse<Chargeback[]> & Include<ChargebackIncluded>>;
}
export {};
