"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Simulations = void 0;
const _1 = require(".");
class Simulations extends _1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/sandbox", config);
    }
    async approveApplication(applicationId, request) {
        return this.httpPost(`/applications/${applicationId}/approve`, {
            data: request,
        });
    }
    async denyApplication(applicationId, request) {
        return this.httpPost(`/applications/${applicationId}/deny`, {
            data: request,
        });
    }
    async approveDocument(applicationId, documentId) {
        return this.httpPost(`/applications/${applicationId}/documents/${documentId}/approve`, undefined);
    }
    async rejectDocument(applicationId, documentId, request) {
        return this.httpPost(`/applications/${applicationId}/documents/${documentId}/reject`, {
            data: request,
        });
    }
    async receiveAchPayment(request) {
        return this.httpPost("/payments", {
            data: request,
        });
    }
    async createAchReceivedPayment(request) {
        return this.httpPost("/received-payments", {
            data: request,
        });
    }
    async completeAchReceivedPayment(id) {
        return this.httpPost(`/received-payments/${id}/complete`);
    }
    async createCheckPayment(request) {
        return this.httpPost("/check-payments", { data: request });
    }
    async createCardPurchase(request) {
        return this.httpPost("/purchases", {
            data: request,
        });
    }
    async createCardAuthorization(request) {
        return this.httpPost("/authorizations", {
            data: request,
        });
    }
    async increaseCardAuthorization(request, authorizationId) {
        return this.httpPost(`/authorizations/${authorizationId}/increase`, {
            data: request,
        });
    }
    async cancelCardAuthorization(request, authorizationId) {
        return this.httpPost(`/authorizations/${authorizationId}/cancel`, {
            data: request,
        });
    }
}
exports.Simulations = Simulations;
